import { CommonPullRequestInfo } from '../gitProvider/index.js';
import { Ticket } from '../ticketProvider/index.js';
import { DefaultLogFields, ListLogLine } from 'simple-git';
export declare function selectTargetBranch(options?: {
    message?: string;
}): Promise<any>;
export declare function getGitDeltaScope(currentBranch: string, targetBranch: string): Promise<{
    fromCommit: any;
    toCommit: (DefaultLogFields & ListLogLine) | null;
    logResult: import("simple-git").LogResult<DefaultLogFields>;
}>;
export declare function callSfdxGitDelta(from: string, to: string, outputDir: string, options?: any): Promise<any>;
export declare function computeCommitsSummary(checkOnly: any, pullRequestInfo?: CommonPullRequestInfo | null): Promise<{
    markdown: string;
    logResults: (DefaultLogFields & ListLogLine)[];
    manualActions: any[];
    tickets: Ticket[];
    flowDiffMarkdown: any;
}>;
export declare function getCommitUpdatedFiles(commitHash: any): Promise<string[]>;
export declare function buildCheckDeployCommitSummary(): Promise<void>;
export declare function handlePostDeploymentNotifications(flags: any, targetUsername: any, quickDeploy: any, delta: boolean, debugMode: boolean, additionalMessage?: string): Promise<void>;
export declare function makeFileNameGitCompliant(fileName: string): string;
